> For the complete documentation index, see [llms.txt](https://docs.febucci.com/text-animator-unity/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.febucci.com/text-animator-unity/3.x-ko/writing-custom-classes/c/accessing-parameters.md).

# 매개변수 접근

태그 안의 값과 매개변수에 코드로 접근하는 것은 매우 유용할 수 있습니다. 이는 다음을 사용하여 쉽게 달성할 수 있습니다 `RegionParameters` 구조체를 `UpdateParameters` 함수에서 사용하면 텍스트의 각 영역에 접근할 수 있습니다.

```cs
public void UpdateParameters(RegionParameters parameters)
{
    // ...
    value = parameters.ModifiyFloat("a", fallbackValue);
}
```

### 키워드

에서 본 것처럼 [수정자](/text-animator-unity/3.x-ko/effects/how-to-edit-effects/modifiers.md#keywords)키워드는 태그 내부의 일반 단어들입니다(등호 없이)(예:  `<mytag keyword1 keyword2 ...>`). 이러한 키워드 목록에 접근하려면 다음을 사용할 수 있습니다:

```cs
var keywords = parameters.keywords
```

{% hint style="warning" %}

* 효과의 이름 자체도 하나의 키워드입니다(예: 만약 내가 `<mytag key1>`가 있다면, 해시셋은 포함할 것입니다 `[mytag, key1]`);
* 수정자(modifier)는 이 목록에서 무시됩니다(예: 만약 내가 `<mytag myMod=10.0>`가 있다면, 해시셋은 포함할 것입니다 `[mytag]`);
* 중복된 키워드는 무시됩니다(우리가 HashSet을 사용하기 때문입니다).
  {% endhint %}

### 부동 소수점 값

부동 소수점 값에 접근하려면 다음을 사용할 수 있습니다:

```cs
// 태그가 해당 수정자를 포함하는지 여부를 true/false로 반환합니다
parameters.HasFloat("modName");

// 수정자가 있으면 그 값을 반환하고, 없으면 대체값(fallback)을 반환합니다
parameters.ModifiyFloat("modName", fallbackValue); 
```

### 문자열 값

문자열 수정자에도 접근할 수 있습니다:

```cs
// 태그가 해당 수정자를 포함하는지 여부를 true/false로 반환합니다
parameters.HasString("modName"); 

// 수정자가 있으면 그 값을 반환하고, 없으면 대체값을 반환합니다
parameters.GetStringValueOrDefault("modName", fallbackValue); 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.febucci.com/text-animator-unity/3.x-ko/writing-custom-classes/c/accessing-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
